﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500/600/700 Setup IEEE
INSTRUMENT:            Sub TDS500/600/700 Channel Name
DATE:                  2009-11-30 10:13:32
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       130
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds500_600_700_utils.txt,v $
#    $Date: 2009/10/14 15:02:25 $
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TDS 500
#          TDS 520, TDS 540
#        TDS 500A
#          TDS 510A, TDS 520A, TDS 524A, TDS 540A, TDS 544A
#        TDS 500B
#          TDS 520B, TDS 540B
#        TDS 500C
#          TDS 520C, TDS 540C
#        TDS 500D
#          TDS 520D, TDS 540D, TDS 580D
#        TDS 600A
#          TDS 620A, TDS 640A, TDS 644A, TDS 684A
#        TDS 600B
#          TDS 620B, TDS 644B, TDS 680B, TDS 684B
#        TDS 600C
#          TDS 654C, TDS 680C, TDS 684C, TDS 694C
#        TDS 700A
#          TDS 724A, TDS 744A, TDS 754A, TDS 782A, TDS 784A
#        TDS 700C
#          TDS 724C, TDS 754C, TDS 784C
#        TDS 700D
#          TDS 724D, TDS 754D, TDS 784D, TDS 794D
#        TDS 714L
#          TDS 714L
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS Series Name
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_IEEE                   PSUBI("Setup IEEE")
  1.002  JMPL         CHANNEL_NAME                 PSUBI("Channel Name")
  1.003  DISP         Undefined subprocedure!
  1.004  END

  1.005  EVAL   Increment step number

# ******************************** Setup IEEE *******************************

  2.001  LABEL        SETUP_IEEE
  2.002  HEAD         SETUP IEEE
  2.003  DISP         - Press SHIFT and then UTILITY.
  2.003  DISP         - Press main menu "System" button to select "<I/O>".
  2.003  DISP         - Press main menu "Port" button to select "<GPIB>".
  2.003  DISP         - Press side menu "Talk/Listen Address" button to
  2.003  DISP         [32] enable talk and listen on the GPIB.
  2.003  DISP
  2.003  DISP         If GPIB address is zero, use the rotary knob to select
  2.003  DISP         a non-zero address.
  2.003  DISP
  2.003  DISP         Note: If this workstation is equipped with two GPIB
  2.003  DISP         cards, the address is unimportant, as long as it is
  2.003  DISP         not (0) zero. If only 1 GPIB card is installed, however,
  2.003  DISP         the UUT address must not conflict with those of
  2.003  DISP         configured references.
  2.003  DISP
  2.003  DISP         Connect the UUT to IEEE-488 Port 1 (two GPIB card) or
  2.003  DISP         IEEE-488 Port 0 (one GPIB card).
  2.004  END

  2.005  EVAL   Increment step number

# ************************** Channel Name ***********************************

  3.001  LABEL        CHANNEL_NAME

  3.002  IF           (@Chan == 1) || (@Chan == 2)
  3.003  MATH         @ChanName = "CH " & @Chan

  3.004  ELSE

# 2+2 Channel scopes
  3.005  IF           ZCMPI(@NumChan, "2+2")

  3.006  IF           @Chan == 3
  3.007  MATH         @ChanName = "AUX 1"
  3.008  ELSE
  3.009  MATH         @ChanName = "AUX 2"
  3.010  ENDIF

# True four channel scopes
  3.011  ELSE
  3.012  MATH         @ChanName = "CH " & @Chan
  3.013  ENDIF

  3.014  ENDIF

  3.015  END
